Scenarios
Create Scenario
Preview. Usable today, but this endpoint can change before it is stable, without a new Kite-Version. Changes are announced before they ship.
POST
/
v1
/
scenarios
Create Scenario
curl --request POST \
--url https://api.kiteml.com/v1/scenarios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"robot": "<string>",
"task": "<string>",
"name": "<string>",
"description": "<string>",
"embodiment": "<string>",
"environment": "<string>",
"object_set": "<string>",
"objects": [
"<string>"
],
"env_args": {},
"variation_axes": [
"<string>"
],
"default_max_steps": 10050,
"est_episode_s": 1800,
"tags": [
"<string>"
]
}
'import requests
url = "https://api.kiteml.com/v1/scenarios"
payload = {
"robot": "<string>",
"task": "<string>",
"name": "<string>",
"description": "<string>",
"embodiment": "<string>",
"environment": "<string>",
"object_set": "<string>",
"objects": ["<string>"],
"env_args": {},
"variation_axes": ["<string>"],
"default_max_steps": 10050,
"est_episode_s": 1800,
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
robot: '<string>',
task: '<string>',
name: '<string>',
description: '<string>',
embodiment: '<string>',
environment: '<string>',
object_set: '<string>',
objects: ['<string>'],
env_args: {},
variation_axes: ['<string>'],
default_max_steps: 10050,
est_episode_s: 1800,
tags: ['<string>']
})
};
fetch('https://api.kiteml.com/v1/scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kiteml.com/v1/scenarios",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'robot' => '<string>',
'task' => '<string>',
'name' => '<string>',
'description' => '<string>',
'embodiment' => '<string>',
'environment' => '<string>',
'object_set' => '<string>',
'objects' => [
'<string>'
],
'env_args' => [
],
'variation_axes' => [
'<string>'
],
'default_max_steps' => 10050,
'est_episode_s' => 1800,
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kiteml.com/v1/scenarios"
payload := strings.NewReader("{\n \"robot\": \"<string>\",\n \"task\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"embodiment\": \"<string>\",\n \"environment\": \"<string>\",\n \"object_set\": \"<string>\",\n \"objects\": [\n \"<string>\"\n ],\n \"env_args\": {},\n \"variation_axes\": [\n \"<string>\"\n ],\n \"default_max_steps\": 10050,\n \"est_episode_s\": 1800,\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kiteml.com/v1/scenarios")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"robot\": \"<string>\",\n \"task\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"embodiment\": \"<string>\",\n \"environment\": \"<string>\",\n \"object_set\": \"<string>\",\n \"objects\": [\n \"<string>\"\n ],\n \"env_args\": {},\n \"variation_axes\": [\n \"<string>\"\n ],\n \"default_max_steps\": 10050,\n \"est_episode_s\": 1800,\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kiteml.com/v1/scenarios")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"robot\": \"<string>\",\n \"task\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"embodiment\": \"<string>\",\n \"environment\": \"<string>\",\n \"object_set\": \"<string>\",\n \"objects\": [\n \"<string>\"\n ],\n \"env_args\": {},\n \"variation_axes\": [\n \"<string>\"\n ],\n \"default_max_steps\": 10050,\n \"est_episode_s\": 1800,\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}Authorizations
A Kite API key (kite_...), from Platform API → Keys in the dashboard.
Headers
The dated contract your code was written against. Without it you get 2026-09-27; every response says which version served it.
Available options:
2026-09-27 Body
application/json
catalog robot id, e.g. gr1 | g1 | droid | franka
task primitive id, e.g. put_item_in_fridge_and_close_door
Maximum string length:
160Maximum string length:
2000Arena embodiment; default = the robot's first embodiment the task accepts
catalog environment id, or a validated user env_… id; default arena_default
catalog object set id
explicit Arena asset names or validated user obj_… ids (overrides object_set)
extra Arena env cfg overrides
Required range:
100 <= x <= 20000Required range:
0 < x <= 3600Response
Successful Response
⌘I
Create Scenario
curl --request POST \
--url https://api.kiteml.com/v1/scenarios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"robot": "<string>",
"task": "<string>",
"name": "<string>",
"description": "<string>",
"embodiment": "<string>",
"environment": "<string>",
"object_set": "<string>",
"objects": [
"<string>"
],
"env_args": {},
"variation_axes": [
"<string>"
],
"default_max_steps": 10050,
"est_episode_s": 1800,
"tags": [
"<string>"
]
}
'import requests
url = "https://api.kiteml.com/v1/scenarios"
payload = {
"robot": "<string>",
"task": "<string>",
"name": "<string>",
"description": "<string>",
"embodiment": "<string>",
"environment": "<string>",
"object_set": "<string>",
"objects": ["<string>"],
"env_args": {},
"variation_axes": ["<string>"],
"default_max_steps": 10050,
"est_episode_s": 1800,
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
robot: '<string>',
task: '<string>',
name: '<string>',
description: '<string>',
embodiment: '<string>',
environment: '<string>',
object_set: '<string>',
objects: ['<string>'],
env_args: {},
variation_axes: ['<string>'],
default_max_steps: 10050,
est_episode_s: 1800,
tags: ['<string>']
})
};
fetch('https://api.kiteml.com/v1/scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kiteml.com/v1/scenarios",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'robot' => '<string>',
'task' => '<string>',
'name' => '<string>',
'description' => '<string>',
'embodiment' => '<string>',
'environment' => '<string>',
'object_set' => '<string>',
'objects' => [
'<string>'
],
'env_args' => [
],
'variation_axes' => [
'<string>'
],
'default_max_steps' => 10050,
'est_episode_s' => 1800,
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kiteml.com/v1/scenarios"
payload := strings.NewReader("{\n \"robot\": \"<string>\",\n \"task\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"embodiment\": \"<string>\",\n \"environment\": \"<string>\",\n \"object_set\": \"<string>\",\n \"objects\": [\n \"<string>\"\n ],\n \"env_args\": {},\n \"variation_axes\": [\n \"<string>\"\n ],\n \"default_max_steps\": 10050,\n \"est_episode_s\": 1800,\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kiteml.com/v1/scenarios")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"robot\": \"<string>\",\n \"task\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"embodiment\": \"<string>\",\n \"environment\": \"<string>\",\n \"object_set\": \"<string>\",\n \"objects\": [\n \"<string>\"\n ],\n \"env_args\": {},\n \"variation_axes\": [\n \"<string>\"\n ],\n \"default_max_steps\": 10050,\n \"est_episode_s\": 1800,\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kiteml.com/v1/scenarios")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"robot\": \"<string>\",\n \"task\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"embodiment\": \"<string>\",\n \"environment\": \"<string>\",\n \"object_set\": \"<string>\",\n \"objects\": [\n \"<string>\"\n ],\n \"env_args\": {},\n \"variation_axes\": [\n \"<string>\"\n ],\n \"default_max_steps\": 10050,\n \"est_episode_s\": 1800,\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}